InternalAbstractGraphDatabase.Configuration (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class InternalAbstractGraphDatabase.Configuration

    java.lang.Object
      org.neo4j.kernel.InternalAbstractGraphDatabase.Configuration

Enclosing class:
  InternalAbstractGraphDatabase

    public static class InternalAbstractGraphDatabase.Configuration

extends Object

Field Summary
`static GraphDatabaseSettings.CacheTypeSetting` | `cache_type`
`static GraphDatabaseSetting.BooleanSetting` | `dump_configuration`
`static GraphDatabaseSetting.BooleanSetting` | `ephemeral`
`static GraphDatabaseSetting.BooleanSetting` | `execution_guard_enabled`
`static GraphDatabaseSetting.BooleanSetting` | `load_kernel_extensions`
`static GraphDatabaseSetting.FileSetting` | `logical_log`
`static GraphDatabaseSetting.FileSetting` | `neo_store`
`static GraphDatabaseSetting.BooleanSetting` | `read_only`
`static GraphDatabaseSetting.DirectorySetting` | `store_dir`
`static GraphDatabaseSetting.BooleanSetting` | `use_memory_mapped_buffers`

Constructor Summary
`InternalAbstractGraphDatabase.Configuration()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dump_configuration

    public static final GraphDatabaseSetting.BooleanSetting dump_configuration

### read_only

    public static final GraphDatabaseSetting.BooleanSetting read_only

### use_memory_mapped_buffers

    public static final GraphDatabaseSetting.BooleanSetting use_memory_mapped_buffers

### execution_guard_enabled

    public static final GraphDatabaseSetting.BooleanSetting execution_guard_enabled

### cache_type

    public static final GraphDatabaseSettings.CacheTypeSetting cache_type

### load_kernel_extensions

    public static final GraphDatabaseSetting.BooleanSetting load_kernel_extensions

### ephemeral

    public static final GraphDatabaseSetting.BooleanSetting ephemeral

### store_dir

    public static final GraphDatabaseSetting.DirectorySetting store_dir

### neo_store

    public static final GraphDatabaseSetting.FileSetting neo_store

### logical_log

    public static final GraphDatabaseSetting.FileSetting logical_log

Constructor Detail

### InternalAbstractGraphDatabase.Configuration

    public InternalAbstractGraphDatabase.Configuration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.